Logo
OpenScaler

Open a Recovery Console

Opens a graphical console (recovery console) session to the VM and returns its address + port.

Graphical consoles lack certain features that text based consoles have such as copy/paste, and so - as their name suggests, should only be used for troubleshooting network issues where the user lost connection to their VM.

A graphical console is defined by an address and a port which can be used to display the console using NoVNC (see this demo and this react component for NoVNC console)

  • ws://address:port (use this for now)
  • wss://address:port with SSL encryption (not available yet)

NOTE: If VM is not running, or it already has an open recovery console, this call will fail.

POST
/v1/vms/{vm_id}/console

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

vm_idRequiredstring

A unique identifier for a VM instance.

curl -X POST "https://api.alpha.openscaler.net/v1/vms/23/console" \
  -H "Authorization: Bearer <token>"

VNC console opened

{
  "address": "192.10.99.220",
  "port": 4235
}